Skip to content

Refund Notification

  • Endpoint: POST /RefundResultNotifyUrl
  • Tags: Collection Service

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Returned code,’APPLY_SUCCESS’means success
keyVersionstringYesSignature Algorithm Version, Current value: 1
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
msgstringYesmaxLength: 256Returned message,’Success.’
notifyTimestringYesmaxLength: 32Request time, compliant with rfc3339 specification, format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX
notifyTypestringYesmaxLength: 16notify type: REFUNDREFUND
dataobjectYesNotify data body
data.outRefundNostringYesmaxLength: 64merchant refund order id
data.refundTradeNostringYesmaxLength: 64PayerMax refund order id.
data.outTradeNostringYesmaxLength: 64original merchant order id.
data.refundAmountnumberYesThe amount of the refund, the unit of the amount is yuan, and it will be returned according to the decimal point supported by the currency of each country.
data.refundCurrencystringYesmaxLength: 3refund currency
data.statusstringYesmaxLength: 32Refund status:REFUND_SUCCESS, REFUND_FAILEDREFUND_SUCCESS, REFUND_FAILED
data.refundFinishTimestringYesrefund finish time

Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "Success.",
  "keyVersion": "1",
  "appId": "3b242b56a8b64274bcc37dac281120e3",
  "merchantNo": "020213827212251",
  "notifyTime": "2022-01-17T09:33:54.540+00:00",
  "notifyType": "REFUND",
  "data": {
    "outRefundNo": "R1642411016202",
    "refundTradeNo": "20220117091657TI790000055087",
    "outTradeNo": "P1642410680681",
    "refundAmount": 10000,
    "refundCurrency": "IDR",
    "refundFinishTime": "2023-10-20T03:28:23.092Z",
    "status": "REFUND_SUCCESS"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32response ‘SUCCESS’
msgstringNomaxLength: 256response ‘Success’

Response Example

json
{
  "code": "SUCCESS",
  "msg": "Success"
}

Enum Reference

notifyType

  • REFUND

data.status

  • REFUND_SUCCESS
  • REFUND_FAILED

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.